<div dir="ltr">Indeed, installing latest git master resolves that issue.<div><br></div><div><div>[root@localhost monodevelop]# git --version</div><div>git version 2.0.0.GIT</div><div>[root@localhost monodevelop]#</div></div>
<div><br></div><div>'make' still fails though, much later on in the build chain, researching it now, but here is the error:</div><div><br></div><div><div>Errors:</div><div><br></div><div>/root/monodevelop/main/Main.sln (default targets) -></div>
<div>(Build target) -></div><div>/root/monodevelop/main/external/xwt/Xwt.Gtk/Xwt.Gtk.csproj (default targets) -></div><div>/usr/local/lib/mono/4.0/Microsoft.CSharp.targets (CoreCompile target) -></div><div><br></div>
<div><span class="" style="white-space:pre">    </span>Xwt.GtkBackend/CustomTreeModel.cs(88,12): error CS1501: No overload for method `EmitRowsReordered' takes `3' arguments</div><div><span class="" style="white-space:pre">     </span>Xwt.GtkBackend/CustomListModel.cs(62,12): error CS1501: No overload for method `EmitRowsReordered' takes `3' arguments</div>
<div><br></div><div><span class="" style="white-space:pre">   </span> 277 Warning(s)</div><div><span class="" style="white-space:pre">    </span> 2 Error(s)</div><div><br></div><div>Time Elapsed 00:00:34.4877370</div><div>make[2]: *** [sln_build] Error 1</div>
<div>make[2]: Leaving directory `/root/monodevelop/main'</div><div>make[1]: *** [all-recursive] Error 1</div><div>make[1]: Leaving directory `/root/monodevelop/main'</div><div>make: *** [all-recursive] Error 1</div>
<div>[root@localhost monodevelop]#</div></div><div><br></div><div><br></div><div>Any thoughts are appreciated.</div></div><div class="gmail_extra"><br><br><div class="gmail_quote">On Wed, Jul 9, 2014 at 2:34 PM, Brandon Perry <span dir="ltr"><<a href="mailto:bperry.volatile@gmail.com" target="_blank">bperry.volatile@gmail.com</a>></span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div dir="ltr">It does seem to be an issue with git 1.7.1. It does not seem to have a --count argument to 'git-rev-list'.<div>
<br></div><div>Going to upgrade git and try.</div></div><div class="HOEnZb"><div class="h5"><div class="gmail_extra"><br><br>
<div class="gmail_quote">On Wed, Jul 9, 2014 at 1:48 PM, Brandon Perry <span dir="ltr"><<a href="mailto:bperry.volatile@gmail.com" target="_blank">bperry.volatile@gmail.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">

<div dir="ltr"><div>Thanks, this worked to pass the configuration.<br></div><div><br></div><div>However, make now fails:</div><div><br></div><div><div>[root@localhost monodevelop]# make</div><div>if test -d ".git"; then \</div>


<div><span style="white-space:pre-wrap">          </span>git submodule update --init --recursive || exit 1; \</div><div><span style="white-space:pre-wrap">     </span>fi</div><div>make[1]: Entering directory `/root/monodevelop/main'</div>


<div>Making all in external</div><div>make[2]: Entering directory `/root/monodevelop/main/external'</div><div>make[2]: Nothing to be done for `all'.</div><div>make[2]: Leaving directory `/root/monodevelop/main/external'</div>


<div>Making all in .</div><div>make[2]: Entering directory `/root/monodevelop/main'</div><div>if test -f "./buildinfo"; then cp "./buildinfo" "./build/bin/buildinfo"; else ./../scripts/configure.sh gen-buildinfo "./build/bin"; fi</div>


<div>/usr/bin/git failed</div><div>make[2]: *** [build/bin/buildinfo] Error 1</div><div>make[2]: Leaving directory `/root/monodevelop/main'</div><div>make[1]: *** [all-recursive] Error 1</div><div>make[1]: Leaving directory `/root/monodevelop/main'</div>


<div>make: *** [all-recursive] Error 1</div><div>[root@localhost monodevelop]#</div></div><div><br></div><div>I have git installed via yum:</div><div><br></div><div><div>[root@localhost monodevelop]# git --version</div><div>


git version 1.7.1</div><div>[root@localhost monodevelop]# </div></div><div><br></div><div>Is a specific version of git required? All of my sources were checked out with git, so I know it is at least functional.</div><div>


<br></div></div><div><div><div class="gmail_extra"><br><br><div class="gmail_quote">On Wed, Jul 9, 2014 at 1:39 PM, Brandon Perry <span dir="ltr"><<a href="mailto:bperry.volatile@gmail.com" target="_blank">bperry.volatile@gmail.com</a>></span> wrote:<br>


<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div dir="ltr">Sure, I can definitely try this.</div><div class="gmail_extra"><div><div><br><br><div class="gmail_quote">


On Wed, Jul 9, 2014 at 1:39 PM, Timotheus Pokorra <span dir="ltr"><<a href="mailto:timotheus.pokorra@solidcharity.com" target="_blank">timotheus.pokorra@solidcharity.com</a>></span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Hello Brandon,<br>
<div><br>
> Running autoconf ...<br>
> <a href="http://configure.in:1" target="_blank">configure.in:1</a>: error: possibly undefined macro: m4_esyscmd_s<br>
>       If this token and others are legitimate, please use m4_pattern_allow.<br>
>       See the Autoconf documentation.<br>
> **Error**: autoconf failed.<br>
</div>The version of autoconf on CentOS6 is too old.<br>
You can download the latest version from<br>
<a href="http://ftp.gnu.org/gnu/autoconf/autoconf-2.69.tar.gz" target="_blank">http://ftp.gnu.org/gnu/autoconf/autoconf-2.69.tar.gz</a> and make install<br>
it.<br>
<br>
I think you also need the latest automake:<br>
<a href="http://ftp.gnu.org/gnu/automake/automake-1.13.tar.gz" target="_blank">http://ftp.gnu.org/gnu/automake/automake-1.13.tar.gz</a><br>
but I am not completely sure if that is required...<br>
<br>
all the best,<br>
  Timotheus<br>
</blockquote></div><br><br clear="all"><div><br></div></div></div><div>-- <br><a href="http://volatile-minds.blogspot.com" target="_blank">http://volatile-minds.blogspot.com</a> -- blog<br><a href="http://www.volatileminds.net" target="_blank">http://www.volatileminds.net</a> -- website
</div></div>
</blockquote></div><br><br clear="all"><div><br></div>-- <br><a href="http://volatile-minds.blogspot.com" target="_blank">http://volatile-minds.blogspot.com</a> -- blog<br><a href="http://www.volatileminds.net" target="_blank">http://www.volatileminds.net</a> -- website
</div>
</div></div></blockquote></div><br><br clear="all"><div><br></div>-- <br><a href="http://volatile-minds.blogspot.com" target="_blank">http://volatile-minds.blogspot.com</a> -- blog<br><a href="http://www.volatileminds.net" target="_blank">http://www.volatileminds.net</a> -- website
</div>
</div></div></blockquote></div><br><br clear="all"><div><br></div>-- <br><a href="http://volatile-minds.blogspot.com">http://volatile-minds.blogspot.com</a> -- blog<br><a href="http://www.volatileminds.net">http://www.volatileminds.net</a> -- website
</div>